package com.example.quiz.data.model;
import com.example.quiz.data.model.dtos.PariCourseDto;
import com.example.quiz.data.model.enums.PariStatut;
import java.util.List;
import java.util.Map;

import java.util.List;

import java.util.List;

public class Pari {

    private String dateHeurePrise; // ISO String
    private long courseId;
    private long agentId;
    private long terminalId;
    private long pointDeVenteId;

    private List<PariMise> typesParisMises;
    private List<String> formules;

    private String combinaison;
    private double coefficient;
    private String devise;
    private String notes;

    public Pari(String dateHeurePrise, long courseId, long agentId, long terminalId, long pointDeVenteId, List<PariMise> typesParisMises, List<String> formules, String combinaison, double coefficient, String devise, String notes) {
        this.dateHeurePrise = dateHeurePrise;
        this.courseId = courseId;
        this.agentId = agentId;
        this.terminalId = terminalId;
        this.pointDeVenteId = pointDeVenteId;
        this.typesParisMises = typesParisMises;
        this.formules = formules;
        this.combinaison = combinaison;
        this.coefficient = coefficient;
        this.devise = devise;
        this.notes = notes;
    }

    public String getDateHeurePrise() { return dateHeurePrise; }
    public long getCourseId() { return courseId; }
    public long getAgentId() { return agentId; }
    public long getTerminalId() { return terminalId; }
    public long getPointDeVenteId() { return pointDeVenteId; }
    public List<PariMise> getTypesParisMises() { return typesParisMises; }
    public List<String> getFormules() { return formules; }
    public String getCombinaison() { return combinaison; }
    public double getCoefficient() { return coefficient; }
    public String getDevise() { return devise; }
    public String getNotes() { return notes; }

    // ===== INNER CLASS =====
}
